//
//  ViewController.swift
//  uiSwitch_hidden
//
//  Created by yoshiyuki oshige on 2015/08/29.
//  Copyright © 2015年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    // ラベルのプロパティ宣言
    @IBOutlet weak var msgLabel: UILabel!
    
    // スイッチの切り替えで呼び出すメソッド
    @IBAction func showHide(sender: UISwitch) {
        // スイッチのオン／オフとラベルのhiddenの値を逆にする
        msgLabel.hidden = !sender.on
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

